<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class VoteController extends Controller
{
    /**
    * Display vote popup
    */
    function popupAction($siteId)
    {
        $site = $this->site->findByPk($siteId);
        if(empty($site))$this->return404();
                         
        $cookieName = md5('siteVote' . $siteId); //check cookie so was voted earlier 
        $canVote = ((!isset($_COOKIE[$cookieName]) || $_COOKIE[$cookieName] != date('d.m.Y')) 
            && $this->vote->checkCanVote($this->request->getIp(), $siteId)); 

        // if vote submit or can't vote
        if(isset($this->request->voteValue) || !$canVote)
        { 
            if($canVote)
            {
                //filter 0-5 range  
                $voteValue = max(0, min(5, $this->request->voteValue));  
                
                $vote = new VoteRecord();
                $vote->remoteIp = $this->request->getIp();
                $vote->siteId = $siteId;
                $vote->value = $voteValue;
                $vote->save();
                
                //set cookie expire on nidnight
                setcookie(
                    md5($cookieName), 
                    date('d.m.Y'), 
                    mktime( 0, 0, 0, date('n'), date('j'), date('Y')) + 60 * 60 * 24);
            }
            
            //fill default values votes 0-5 = 6 values
            $votesCount = array_fill(0, 6, 0); 
            
            //count votes for each vote case
            $c = new Criteria();
            $c->add("siteId", $siteId);
            $c->addGroup("value");
            $votes = $this->vote->findAll($c, "value, count(*) as votesCount");
            
            //foreach counted votes group copy them to base votesCount array
            foreach($votes as $vote)
            {
                $votesCount[$vote['value']] = $vote['votesCount'];
            }
    
            //display results 
            $this->set("displayForm", false);
            $this->set("displayResults", true);
            $this->set("votesCount", $votesCount);
        }
        else
        {
            //display form to vote
            $this->set("displayForm", true);
            $this->set("displayResults", false);
        }

        $this->set("site", $this->site->findByPk($siteId));
        $this->set("siteId", $siteId);
          
    }
}
?>