<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

/**
 * Abstract class View from MVC design pattern
 */
abstract class View extends Object
{
    protected $controller;
    
    /**
     * Generates the standard View object
     * @param Controller $controller controller which execute View  
     */
    public function __construct(Controller $controller)
    {
        $this->controller = $controller;   
    }
    
    /**
     * Abstract function which must be overwrited to display View values
     */
    abstract public function render();
    
    function arrayMapRecursive($func, $arr)
    {
        $newArr = array();

        foreach($arr as $key => $value )
        {
            $newArr[$key] = (is_array($value) || $value instanceof ArrayAccess) ? $this->arrayMapRecursive($func, $value) : htmlspecialchars($value); //(is_array($value) ? $this->arrayMapRecursive($func, $value) : (is_array($func) ? call_user_func_array($func, $value) : $func($value)));
        }
        
        return $newArr;
    }
}

?>