function __construct()
{
    var paymentOptionsForm = new PaymentOptionsForm();
}

PaymentOptionsForm = function()
{
    this.form = $("paymentOptionsForm");
    this.allopassNumbers = setting.allopassNumbers;
    
    this.form.addEvent("submit", this.onSubmit.handler(this));
    $(this.form.packageId).addEvent("change", this.onPackageChange.handler(this)); 
    $(this.form.packageId).addEvent("keypress", this.onPackageChange.handler(this)); 
};

PaymentOptionsForm.prototype =
{
    form: null,
    lastSelectedPackageId: 0,
    
    errorMessage: function(message)
    {
        alert(message);
        return false;
    },
    
    onPackageChange: function(event)
    {
        var currentPackageId = event.obj.value;
        if(this.lastSelectedPackageId == currentPackageId)return;
        
        $("packageDescription" + this.lastSelectedPackageId).hide();
        $("packageDescription" + currentPackageId).show();
        this.lastSelectedPackageId = currentPackageId;
    },
    
    validate: function()
    {
        if(this.form.packageId.value == '0')
            return this.errorMessage(setting.lang['Please, select a package.']);

        if(this.form.processorId.value == '')
            return this.errorMessage(setting.lang['Please, select a payment processor.']);
            
        if(this.form.processorId.value == 'Allopass' && this.allopassNumbers[this.form.packageId.value] == 0)
            return this.errorMessage(setting.lang['You can`t select this payment method for selected package.']);
            
        return true;   
    },
    
    onSubmit: function(event)
    {                  
        if(!this.validate())
        {
            event.preventDefault();
        }
    }
}