<?php
//////////////////////////////////////////////////////////////////////////////////
//    					 copyright (c) Arfooo Annuaire                          //
//   				 by Hocine Guillaume (c) 2007 - 2008                        //
//       					http://www.arfooo.com/                              //
//    Licence Creative Commons http://creativecommons.org/licenses/by/2.0/fr/   //
//////////////////////////////////////////////////////////////////////////////////

class KeywordsOfSiteModel extends Model
{   
    protected $primaryKey = "keywordOfSiteId";
    
    function storeKeywords($siteId, $keywords, $maxKeywordCount = null)
    {            
        $c = new Criteria();
        $c->add("siteId", $siteId);
        $this->del($c);
        
        $keywords = array_unique($keywords);
        if($maxKeywordCount === null)$maxKeywordCount = Config::get("maxKeywordsCountPerSite"); 

        if(count($keywords) > $maxKeywordCount)return;
        
        foreach($keywords as $keywordId)
        {
            if(empty($keywordId))continue;
            
            $keywordOfSite = new KeywordsOfSiteRecord();
            $keywordOfSite->keywordId = $keywordId;
            $keywordOfSite->siteId = $siteId;
            $keywordOfSite->save();
        }
    }
}

class KeywordsOfSiteRecord extends ModelRecord
{
    
}

?>